//
// $Id: Blocking_Sync_None.h 66783 2005-07-04 08:55:12Z jwillemsen $
//

#ifndef BLOCKING_SYNC_NONE_H
#define BLOCKING_SYNC_NONE_H
#include /**/ "ace/pre.h"

#include "TestS.h"

/// Implement the Test::Blocking_Sync_None interface
class Blocking_Sync_None
  : public virtual POA_Test::Blocking_Sync_None
{
public:
  /// Constructor
  Blocking_Sync_None (CORBA::ORB_ptr orb);

  // = The skeleton methods
  virtual void slow_operation (const Test::Payload &the_payload,
                               CORBA::ULong sleep_microseconds
                               ACE_ENV_ARG_DECL)
    ACE_THROW_SPEC ((CORBA::SystemException));

  virtual void shutdown (ACE_ENV_SINGLE_ARG_DECL)
    ACE_THROW_SPEC ((CORBA::SystemException));

private:
  /// Use an ORB reference to shutdown the application.
  CORBA::ORB_var orb_;
};

#include /**/ "ace/post.h"
#endif /* BLOCKING_SYNC_NONE_H */
